Name:           libwebcam
Version:        0.2.0
Release:        1.20100322svn%{?dist}
Summary:        A library for user-space configuration of the uvcvideo driver
Group:          System Environment/Libraries
License:        LGPLv3+
URL:            http://www.quickcamteam.net/software/libwebcam
# svn export -r 90 http://svn.quickcamteam.net/svn/qct/webcam-tools/branches/deb/ libwebcam-0.2.0
Source0:        %{name}-%{version}.tar.xz
# wget http://linuxtv.org/hg/~pinchartl/uvcvideo/file/553dfd853cba/linux/drivers/media/video/uvc/uvcvideo.h
Source1:        uvcvideo.h
# http://forums.quickcamteam.net/showthread.php?tid=1177
Patch0:         libwebcam-uvc-make.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=576023
Patch1:         libwebcam-0.2.0-button-menu.patch
Patch2:         libwebcam-uvcvideo-h.patch
Patch3:         libwebcam-0.2.0-udev-log.patch

BuildRequires: cmake
BuildRequires: gengetopt
BuildRequires: libxml2-devel


%description
Libwebcam provides a user-space library for interaction with the uvcvideo
kernel driver. One could use this library to manipulate settings for one
or many UVC-type webcams found attached on a single computer.


%package devel
Summary:        Development libraries and headers for libwebcam
Requires: libwebcam = %{version}-%{release}


%description devel
Development libraries and headers for libwebcam.


%package -n uvcdynctrl
Summary:        Command line interface to libwebcam
Group:          Applications/Multimedia
License:        GPLv3
Requires: uvcdynctrl-data = %{version}-%{release}


%description -n uvcdynctrl
Uvcdynctrl is a command line interface for manipulating settings in
UVC-type webcams. It uses the libwebcam library for webcam access.


%package -n uvcdynctrl-data
Summary:        XML control file for the uvcdynctrl package
Group:          Applications/Multimedia
License:        GPLv3
BuildArch:      noarch


%description -n uvcdynctrl-data
XML control file for the uvcdynctrl package.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
cp -p %{SOURCE1} common/include
%patch2 -p1
%patch3 -p1


%build
# copy kernel driver includes into source directory
export CMAKE_INCLUDE_PATH=../common/include
mkdir build
cd build
%cmake ..
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
cd build
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/libwebcam.a


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc libwebcam/README libwebcam/COPYING.LESSER
%{_libdir}/libwebcam.so.0
%{_libdir}/libwebcam.so.0.2.0


%files devel
%defattr(-,root,root,-)
%{_includedir}/webcam.h
%{_libdir}/libwebcam.so
%{_libdir}/pkgconfig/libwebcam.pc


%files -n uvcdynctrl
%defattr(-,root,root,-)
%doc uvcdynctrl/README uvcdynctrl/COPYING
%{_bindir}/uvcdynctrl
%{_bindir}/uvcdynctrl-0.2.0
/lib/udev/uvcdynctrl
/lib/udev/rules.d/85-uvcdynctrl.rules
%{_mandir}/man1/uvcdynctrl-0.2.0.1.gz
%{_mandir}/man1/uvcdynctrl.1.gz


%files -n uvcdynctrl-data
%defattr(-,root,root,-)
%doc uvcdynctrl/COPYING
%{_datadir}/uvcdynctrl


%changelog
* Mon Jul 19 2010 Michael Cronenworth <mike@cchtml.com> - 0.2.0-1.20100322svn
- Initial package.
